using System;

class ArrayToString
{
    // Methode zur Umwandlung der double-Werte in Strings
    public static string DoubleToString(double a)
    {
        return String.Format("{0:F2}", a);
    }

    static void Main()
    {
        double[] numbers = new double[] { 1.011, 2.555, 33.0, 4.0001 };

        // double-Array in string-Array umwandeln:  via Converter-Delegate
        string[] sArray = Array.ConvertAll(numbers,
                                       new Converter<double, string>(DoubleToString));

        // String-Array in String umwandeln und Trennzeichen einfügen
        Console.WriteLine("join: {0}", String.Join(" ", sArray));
    }
}

